#!/usr/bin/perl

use Getopt::Std;
use File::Copy;

getopts('v');

foreach $path (@ARGV) {
    open FILE, "/bin/find $path |" || die "Can't search files at $path\n";
    while(<FILE>) {
	chomp;
	if(/,/g) {
	    $old_name = $new_name = $_;
	    $new_name =~ s/,/_/gi;
	    print "$old_name -> $new_name\n";
	    unless($OPT_v) {
		move($old_name, $new_name);
	    }
	}
    }
}

    
